<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import {PatientStatisticVO, RoomBedVO} from "@/api/ecg/doctor";

defineComponent({
  name: 'TitlePanel'
})

const  props = defineProps({
  room: {
    type: Object as PropType<RoomBedVO>,
    required: true
  },
  patientStatistic: {
    type: Object as PropType<PatientStatisticVO>,
    required: true
  }
})

</script>

<template>
<div class="mytitle">
    <div>
      {{room.roomName || ''}} {{room.bedNo || ''}}
    </div>
    <div>
    已领用{{patientStatistic.receivedNum??0}}
    准备中{{patientStatistic.readyNum??0}}
    过号{{patientStatistic.passedNum??0}}
    排队中{{patientStatistic.queuingNum??0}}
    </div>
</div>

</template>

<style scoped lang="scss">
.mytitle {
  display: flex;
  justify-content: space-between;
}
</style>
